package geo;

public class Rectangle extends GeoObject {
	private double llx, lly;
	private double urx, ury;

	public Rectangle(double llx, double lly, double urx, double ury) {
		this.llx = llx;
		this.lly = lly;
		this.urx = urx;
		this.ury = ury;
	}

	@Override
	public void display() {
		presentation.drawRectangle(llx, lly, urx, ury);
	}

	@Override
	public void scale(double factor) {
		urx = llx + factor*(urx-llx);
		ury = lly + factor*(ury-lly);
	}

	@Override
	public void shift(double dx, double dy) {
		llx += dx;
		lly += dy;
		urx += dx;
		ury += dy;
	}
}
