package chemical;

import java.util.*;
import java.io.*;

public class Structure implements Chemical {
	private List<ChemicalImpl> items = new ArrayList<ChemicalImpl>();

	public void add(String name, int anzahl) {
		Element element = Element.valueOf(name);
		items.add(new ChemicalImpl(anzahl, element));
	}
	
	@Override
	public String getName() {
		StringWriter out = new StringWriter();
		for (ChemicalImpl c : items) {
			out.write(c.getName());
		}
		return out.toString();
	}

	@Override
	public int getLadung() {
		int summe = 0;
		for (ChemicalImpl c : items) {
			summe += c.getLadung();
		}
		return summe;
	}

	@Override
	public double getGewicht() {
		double summe = 0;
		for (ChemicalImpl c : items) {
			summe += c.getGewicht();
		}
		return summe;
	}

}
