package glyph;

import java.util.*;

public class Row implements Content {
	private static GlyphFactory f = new GlyphFactory();
	private List<Glyph> glyphs = new ArrayList<Glyph>();
	
	public void add(char c) {
		glyphs.add(f.getGlyph(c));
	}
	
	public void add(String s) {
		for (char c : s.toCharArray()) {
			add(c);
		}
	}
	
	@Override
	public void print(int row, int col) {
		System.out.format("%d zeichen,  %d glyphs\n", glyphs.size(), f.size());
		int offset = 0;
		for (Glyph g : glyphs) {
			g.print(row, col+offset++);
		}
	}

}
