package vector.adapter;

import java.util.Enumeration;
import java.util.Iterator;
import java.util.Vector;

public class VectorAdapter<E> implements Iterable<E> {
	public class VectorIterator implements Iterator<E> {
		private Enumeration<E> e = VectorAdapter.this.v.elements();
		
		@Override
		public boolean hasNext() {
			return e.hasMoreElements();
		}

		@Override
		public E next() {
			return e.nextElement();
		}

		@Override
		public void remove() {
			throw new RuntimeException("not implemented");
		}
	}
	
	private Vector<E> v;

	public VectorAdapter(Vector<E> v) {
		this.v = v;
	}

	@Override
	public Iterator<E> iterator() {
		return new VectorIterator();
	}
}
